package com.gingersoft.gsa.delivery_pick_mode.util

import android.net.Uri
import com.gingersoft.gsa.cloud.common.utils.encryption.Base64
import com.gingersoft.gsa.cloud.common.utils.gson.GsonUtils
import org.json.JSONObject


fun main() {
    var url = "https://hktest.ricepon.com:64377/ricepon-web/app/index.html?arg="

    var json = JSONObject()
    json.put("menutype", 273)
    json.put("type", 1)
    json.put("shopid", 233)//23233

    var jsonString = GsonUtils.GsonString(json)

    var lastUrl = Uri.encode(Base64.encode(jsonString.toByteArray())) + "_ricepon_"
    println(lastUrl)
}
